Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 May 2022 16:24:15 +0300

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Tue, 17 May 2022 04:55:42 +0530
> Cc: [email-masked]
> 
>  Can you tell how many more old scripts you intend to add?  I'm
>  thinking perhaps we should make a separate section for them in NEWS,
>  instead of basically repeating the same text over and over and over
>  again
> 
> I am planning to add about 31 more scripts. 

Thanks, I therefore rewrote the NEWS entries for the scripts we
already installed to make them more concise.  Please follow this
template for the future additions.

>  I'm okay with the change, but please add the same sample-text to the
>  Devanagari language environment in indian.el.
> 
> Done.
> 
> I have also:
>     1. added sample texts to other scripts which didn't have them.
>     2. replaced the spaces with a tab in the sample texts which I had added.
>     3. renamed Punjabi to Gurmukhi in its set-language-info-alist.
> 
> In etc/HELLO
> I have:
>     1. added a Gurumukhi greeting.
>     2. replaced the Odia greeting, it was ଶୁଣିବେ (tl. Listen) earlier, which I don't think is a greeting, therefore I
> have replaced it with ନମସ୍କାର (namaskaar)
> 
>  The "Hindi" greeting had a character at its end, U+0964, which
>  disappeared when you moved the line to Devanagari.  Is that
>  intentional?
> 
> Yes, that was intentional, it was a full stop. I didn't think that it was necessary, the other greetings also did not
> have it.
> 
>  Period missing at the end of this line.
> 
> Oops. Fixed it.  The earlier news entry about Syloti Nagri did not have it too, so I have also added it there.

Installed, thanks.